# pn_admin_service – CLI command to modify admin-service

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module is used to modify services on the server-switch.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

pn__if
string

Choices:
- mgmt
- data

administrative service interface.

pn_cliswitch string |  | Target switch to run the CLI on.

pn_icmp
boolean

Choices:
- no
- yes

Internet Message Control Protocol (ICMP) to enable or disable.

pn_net_api
boolean

Choices:
- no
- yes

Netvisor API to enable or disable APIs.

pn_nfs
boolean

Choices:
- no
- yes

Network File System (NFS) to enable or disable.

pn_snmp
boolean

Choices:
- no
- yes

Simple Network Monitoring Protocol (SNMP) to enable or disable.

pn_ssh
boolean

Choices:
- no
- yes

Secure Shell to enable or disable.

pn_web
boolean

Choices:
- no
- yes

Web (HTTP) to enable or disable.

pn_web_log
boolean

Choices:
- no
- yes

Web logging to enable or disable.

pn_web_port string |  | Web (HTTP) port to enable or disable.

pn_web_ssl
boolean

Choices:
- no
- yes

Web SSL (HTTPS) to enable or disable.

pn_web_ssl_port string |  | Web SSL (HTTPS) port to enable or disable.

state
string / required

Choices:
- update

State the action to perform. Use `update` to modify the admin-service.

## Examples

    - name: admin service functionality
      pn_admin_service:
        pn_cliswitch: "sw01"
        state: "update"
        pn__if: "mgmt"
        pn_web: False
        pn_icmp: True

    - name: admin service functionality
      pn_admin_service:
        pn_cliswitch: "sw01"
        state: "update"
        pn_web: False
        pn__if: "mgmt"
        pn_snmp: True
        pn_net_api: True
        pn_ssh: True

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the admin-service command.
stdout list | always | set of responses from the admin-service command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.